Subject: [TR] 57 starter

From: Bob Labuz <[email-masked]>
Date: Wed, 13 Jul 2016 10:01:42 -0400

I took apart another pinion assembly from another armature that is toast 
and there is the remains of a ring similar to part b in the diagram. It 
may have been  a ring at one time but it is only 3/4 there. The grove in 
the shaft is similar in size. I maybe could dremel it off  but where do 
I get a replacement? There is no retaining nut as shown as part F in the 
diagram. It is just a large washer/ring that has a grove for the spring.
http://www.triumphexp.com/phorum/read.php?6,1298700
Bob

** [email-masked] **

Archive: http://www.team.net/archive